package org.blue.club.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Auth {
    PermissionDescription[] permissions() default {};

    LogicType permissionType() default LogicType.ANY;

    AuthDescription[] auths() default {};

    LogicType authType() default LogicType.ANY;

    enum LogicType {
        ANY, ALL
    }
}
