package org.blue.club.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.io.File;
import java.io.IOException;

@Configuration
public class DirConfiguration {
    @Bean
    public File tmpFolder() throws IOException {
        return createDefaultFolder("tmp");
    }

    @Bean
    public File avatarFolder() throws IOException {
        return createDefaultFolder("avatar");
    }

    private File createDefaultFolder(String name) throws IOException {
        File folderFile = new File(name);
        if (folderFile.exists()) return folderFile;
        if (!folderFile.mkdirs()) throw new IOException("无法创建文件夹" + name);
        return folderFile;
    }
}
