package org.blue.club.entities.dto.chess.packet;

import jakarta.annotation.Nullable;
import lombok.Data;
import lombok.NonNull;

@Data
public class BaseWebSocketPacket {
    private String name;
    private Object payload;
    @Nullable
    private String originalPacketName;

    public BaseWebSocketPacket(Object payload) {
        Class<?> aClass = payload.getClass();
        this.name = aClass.getSimpleName().replace("Packet", "");
        this.payload = payload;
    }

    public BaseWebSocketPacket(Object payload, @NonNull String originalPacketName) {
        this(payload);
        this.originalPacketName = originalPacketName;
    }

    public static BaseWebSocketPacket of(Object payload) {
        return new BaseWebSocketPacket(payload);
    }

    public static BaseWebSocketPacket of(Object packet, @NonNull String originalPacketName) {
        return new BaseWebSocketPacket(packet, originalPacketName);
    }
}
