package org.blue.club.entities.vo.data;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.RelationManyToMany;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.blue.club.entities.vo.abs.PermissionsHolder;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Table("auth")
@Data
public class AuthVo extends BaseDataVo implements PermissionsHolder {
    @Id
    private long id;
    private String name;
    @RelationManyToMany(joinTable = "auth_permission",
            selfField = "id", joinSelfColumn = "auth_id",
            targetField = "id", joinTargetColumn = "permission_id"
    )
    private List<PermissionVo> permissions;
}
